//  Diffusion Client Library for iOS, tvOS and OS X / macOS
//
//  Copyright (c) 2015, 2018 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionUpdateType.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief An update context provides additional detail associated with an update
 delivering PTDiffusionContent.
 
 @see PTDiffusionTopicsFeature

 @deprecated Since 6.1. This class is only required to support the deprecated
 PTDiffusionTopicStreamDelegate, which in turn is only required to support the
 deprecated stateless and record topic types. It will be removed along with
 these topic types in a future release.

 @since 5.6
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionUpdateContext : NSObject

+(instancetype)new NS_UNAVAILABLE;

-(instancetype)init NS_UNAVAILABLE;

/**
 The type of update.

 @since 5.6
 */
@property(nonatomic, readonly) PTDiffusionUpdateType updateType;

/**
 Compares the receiver to the given update context.

 @param updateContext The update context object with which to compare the receiver.

 @return `YES` if the update context is equal to the receiver, otherwise `NO`.

 @since 5.6
 */
-(BOOL)isEqualToUpdateContext:(nullable PTDiffusionUpdateContext*)updateContext;

@end

NS_ASSUME_NONNULL_END
